import { ReferenceObject, SchemaObjectAllOfObject, VisitorName } from '../types';
export declare const log: (x: string) => void;
export declare function isRef(arg: Record<string, any>): arg is ReferenceObject;
export declare function isSchemaObjectAllOfObject(arg: Record<string, any>): arg is SchemaObjectAllOfObject;
export declare function isValidVisitorName(name: string): name is VisitorName;
export declare const validCases: {
    camel: Set<string>;
    snake: Set<string>;
    pascal: Set<string>;
    constant: Set<string>;
};
export declare function isValidCaseName(name: string): name is keyof typeof validCases;
