import { SwaggerObject } from '../types';
declare type ResultSuccess = {
    swagger: SwaggerObject;
};
declare type ResultFail = {
    swagger: null;
    error: string;
};
declare type Result = ResultSuccess | ResultFail;
export declare function getSwaggerByPath(pth: string): Result;
export declare function getSwaggerByUrl(url: string): Promise<SwaggerObject>;
export {};
